/**
 * This software is Copyright (C) 2008 Christopher Schultz
 *
 * Please see the COPYING file for more information.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.christopherschultz.evaluator;

/**
 * An Exception class signifying that there was an error during expression
 * evaluation.
 *
 * @author Chris Schultz
 * @version $Revision: 1.3 $ $Date: 2008-06-20 22:58:48 $
 *
 * @see Expression#evaluate
 */
public class EvaluationException
    extends Exception
{
    /**
     * Creates a new EvaluationException.
     */
    public EvaluationException()
    {
        super();
    }

    /**
     * Creates a new EvaluationException with the specified message.
     *
     * @param message A descriptive message about why the exception is
     *                being thrown.
     */
    public EvaluationException(String message)
    {
	super(message);
    }

    /**
     * Creates a new EvaluationException with the specified message and cause.
     *
     * @param message A descriptive message about why the exception is
     *                being thrown.
     * @param cause The exception that caused this one to be thrown.
     */
    public EvaluationException(String message, Throwable cause)
    {
	super(message, cause);
    }
}
