/**
 * This software is Copyright (C) 2008 Christopher Schultz
 *
 * Please see the COPYING file for more information.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.christopherschultz.evaluator.util;

import java.lang.reflect.Array;
import java.util.AbstractList;
import java.util.Arrays;
import java.util.Iterator;

/**
 * A class that wraps a primitive array with a Collection interface.
 *
 * @author Chris Schultz
 * @version $Revision: 1.2 $ $Date: 2006-04-14 19:40:41 $
 */
public class PrimitiveArrayList
    extends AbstractList
{
    private Object _array;

    public PrimitiveArrayList(Object array)
    {
        _array = array;
    }

    public Object get(int index)
    {
        return Array.get(_array, index);
    }


    public int size()
    {
        return Array.getLength(_array);
    }

    /*
    public Iterator iterator()
    {
        return new ArrayIterator(_array);
    }

    private static class ArrayIterator
        implements Iterator
    {
        private Object _array;
        private int _current;
        private int _size;
        public ArrayIterator(Object array)
        {
            _array = array;
            _size = Array.getLength(_array);
            _current = 0;
        }

        public boolean hasNext()
        {
            return _current < _size;
        }

        public Object next()
        {
            if(!this.hasNext())
                throw new java.util.NoSuchElementException();

            return Array.get(_array, _current++);
        }

        public void remove()
        {
            throw new UnsupportedOperationException();
        }
    }
    */
}
